Subject: RE: [nemo] Re: BU adds routes (was: Draft NEMO Agenda)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 18 Nov 2002 23:00:00 -0000

> the routes should aggregated beyond the border router of the home
> link. if not, the network design is bad.

My point exactly. If the advertisement of the individual MNets is
limited to the home link, ND is better suited isn't it? 

Pascal

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 19 Nov 2002 20:45:59 -0000

> I very strongly advocate creating routes at the HA only when 
> needed. only when HA receives a binding update or a routing 
> update. it is a bad idea keeping the routes permanently (IMO).

Sorry Vijay, that's not an argument :)

My summary of this discussion is that both approaches work. Adding
routes dynamically is more complex and results in more memory/cpu per
route, and less routes in the tables. Since the  granularity of the MNet
is not exposed outside of the home link, it make no difference there.
The question is whether Nemo needs to mandate any of these approaches or
if implementers can be free to propose whatever they see fit. 

Is that fair enough?

Pascal

> -----Original Message-----
> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: mardi 19 novembre 2002 18:56
> To: Christophe Janneteau
> Cc: Pascal Thubert (pthubert); Erik Nordmark; Alexandru 
> Petrescu; [email-masked]
> Subject: Re: [nemo] Re: BU adds routes (was: Draft NEMO Agenda)
> 
> 
> Christophe Janneteau wrote:
> 
> > Good point, as long as it is expected that a reasonable 
> number of MR 
> > will be at home from time to time. In the case where all MR 
> are always 
> > away from home then the advantage desappear and you will double the 
> > information on HA:
> >         - MR/MR-prefix mapping in the static config file
> >         - In the routing table: MR_prefix entries for all MRs since 
> > all are away from home.
> 
> I very strongly advocate creating routes at the HA only when 
> needed. only when HA receives a binding update or a routing 
> update. it is a bad idea keeping the routes permanently (IMO).
> 
> Vijay
>